libwayland-egl1-32bit-18.0.2-lp150.18.3.1.x86_64.rpm


Advertisement

Description

libwayland-egl1-32bit - Additional egl functions for wayland

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Update Oss all
Package filename libwayland-egl1-32bit-18.0.2-lp150.18.3.1.x86_64.rpm
Package name libwayland-egl1-32bit
Package version 18.0.2
Package release lp150.18.3.1
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.mesa3d.org
License MIT
Maintainer -
Download size 149.00 KB
Installed size 5.32 KB
This package provides additional functions for egl-using programs
that run within the wayland framework. This allows for applications
that need not run full-screen and cooperate with a compositor.

Alternatives

Package Version Architecture Repository
libwayland-egl1-32bit-18.0.2-lp150.17.2.x86_64.rpm 18.0.2 x86_64 openSUSE Oss
libwayland-egl1-32bit - - -

Requires

Name Value
libc.so.6(GLIBC_2.1.3) -

Provides

Name Value
libwayland-egl.so.1 -
libwayland-egl1-32bit = 18.0.2-lp150.18.3.1
libwayland-egl1-32bit(x86-32) = 18.0.2-lp150.18.3.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libwayland-egl1-32bit-18.0.2-lp150.18.3.1.x86_64.rpm
Source Package Mesa-18.0.2-lp150.18.3.1.src.rpm

Install Howto

Install libwayland-egl1-32bit rpm package:

# zypper install libwayland-egl1-32bit

Files

Path
/usr/lib/libwayland-egl.so.1
/usr/lib/libwayland-egl.so.1.0.0

Changelog

2018-10-26 - msrb@suse.com
- n_drirc-disable-rgb10-for-chromium-on-amd.patch
* Disallow rgb10 configs for chromium with radeonsi to prevent
broken colors in video. (boo#1113211)
2018-04-30 - sndirsch@suse.com
- Update to 18.0.2
* A couple of fixes for Meson that solves some problems regarding
building tests and installation.
* A couple of fixes in state tracker / DRI that was causing crashes
in QtCreator and Firefox, among other problems.
* A couple of fixes for GFX9, that solves a hang in the driver, and
a problem with buffer views.
* SVGA gets also a patch to fix incorrect advertizing of
EGL_KHR_gl_colorspace extension.
* Etnaviv gets a fix for swizzled texture formats.
* Intel drivers get also several patches.
* RADV gets a patch to solve a problem of lot of games complaining
about not having enough memory.
2018-04-19 - sndirsch@suse.com
- Update to 18.0.1
* In this release we have:
* On the build system to highlight Meson is get improved thorugh several patches
that fix issues around it.
* On the drivers part, RADV get several fixes: one for multisample regressions on
Vega, another around GFX9 buffer views, and a couple of them more to related
with avoiding emitting unneeded vertex state.
* St/Nine get fixes around face register, lighting constants, math check for
inversible matrix, implicit conversions and bad tracking of vertex textures.
* Freedreno/a5xx get fixes around missaligned heigh for PIPE_BUFFER, and around
page faults.
* Several fixes are also enqueued for Intel driver: set right channel_sizes for
MOV_INDIRECT sources, set right config registration for uploading to kernel,
return the fourcc stored in __DRIimage when possible, fix negative sign in
64-bit return values, fix null destination register in assembly instructions
with 3 source operands, a fix for failed TCS/TES shader compilation
* Queue also contains a couple of fixes around Gallium drivers, one to fix a typo
in code that was causing wrong return value, and another one to fix an
unitialized modifier for DRI2.
* Mesa core gets a couple of patches to fix issues around overriding OpenGL/ES
supported version through environment variables, and a patch to fix an issue
with texture samples found in "The Witness" through Wine.
* A couple of bugs around unrolling loops have also been fixed, these patches were
applied for NIR and GLSL.
* On top of above, NIR gets more fixes in a couple of lowering functions used:
coalesce in lower_vec_to_movs if vec had a SSA destination, and interp_var_at
intrinsic support in lower_indirect_derefs. It also gets a fix around
vars_to_ssa function.
* Finally, there are other fixes affecting Radeonsi, AC, EGL/Wayland and SPIR-V
compiler.
2018-04-18 - sndirsch@suse.com
- enabled opencl and that way also Mesa-gallium on 42.3 since we
now build against llvm 6; this also fixes the requirements from
Mesa-32bit to Mesa-gallium-32bit in baselibs.conf (reported by
community)
2018-04-05 - msrb@suse.com
- Remove n_Disable-AMDGPU-GFX9-Vega-on-LLVM-lessthan-6.0.0.patch.
* Not needed since we build Mesa against LLVM 6. (bnc#1082298)
- Remove u_Fix-crash-in-swrast-when-setting-a-texture-for-a-pix.patch.
* It was disabled for long time and does not seem to be needed.
(bnc#1082306)
2018-04-03 - schwab@suse.de
- Enable nine on arm/aarch64

See Also

Package Description
libwbclient-devel-4.7.10+git.124.8d97fe90926-lp150.3.9.1.x86_64.rpm Libraries and Header Files to Develop Programs with wbclient Support
libwbclient-devel-4.7.11+git.153.b36ceaf2235-lp150.3.14.1.x86_64.rpm Libraries and Header Files to Develop Programs with wbclient Support
libwbclient-devel-4.7.8+git.62.c1052da2b4e-lp150.3.3.1.x86_64.rpm Libraries and Header Files to Develop Programs with wbclient Support
libwbclient-devel-4.7.8+git.86.94b6d10f7dd-lp150.3.6.1.x86_64.rpm Libraries and Header Files to Develop Programs with wbclient Support
libwbclient0-32bit-4.7.10+git.124.8d97fe90926-lp150.3.9.1.x86_64.rpm Samba libwbclient Library
libwbclient0-32bit-4.7.11+git.153.b36ceaf2235-lp150.3.14.1.x86_64.rpm Samba libwbclient Library
libwbclient0-32bit-4.7.8+git.62.c1052da2b4e-lp150.3.3.1.x86_64.rpm Samba libwbclient Library
libwbclient0-32bit-4.7.8+git.86.94b6d10f7dd-lp150.3.6.1.x86_64.rpm Samba libwbclient Library
libwbclient0-4.7.10+git.124.8d97fe90926-lp150.3.9.1.x86_64.rpm Samba libwbclient Library
libwbclient0-4.7.11+git.153.b36ceaf2235-lp150.3.14.1.x86_64.rpm Samba libwbclient Library
libwbclient0-4.7.8+git.62.c1052da2b4e-lp150.3.3.1.x86_64.rpm Samba libwbclient Library
libwbclient0-4.7.8+git.86.94b6d10f7dd-lp150.3.6.1.x86_64.rpm Samba libwbclient Library
libwebkit2gtk-4_0-37-2.20.3-lp150.2.3.1.x86_64.rpm Library for rendering web content, GTK+ Port
libwebkit2gtk-4_0-37-2.20.5-lp150.2.6.1.x86_64.rpm Library for rendering web content, GTK+ Port
libwebkit2gtk-4_0-37-2.22.5-lp150.2.9.1.x86_64.rpm Library for rendering web content, GTK+ Port
Advertisement
Advertisement